diff stringlengths 12 9.3k | message stringlengths 8 199 | reasoning_trace null | repo stringlengths 6 68 | license stringclasses 3
values | language stringclasses 16
values |
|---|---|---|---|---|---|
@@ -20,6 +20,8 @@ const arrayToGlob = require('./utils/arrayToGlob')
getPackageNames(packageNames => {
const scopeGlob = arrayToGlob(packageNames)
+ spawnSync('npx', ['lerna', 'clean', '--yes'], { stdio: 'inherit' })
+
spawnSync(
'npx',
[
| chore(scripts): add lerna clean to build script | null | telus/tds-core | MIT License | JavaScript |
/**********************
* TYPEDEFS
**********************/
-typedef struct _lv_monkey {
+struct _lv_monkey {
lv_monkey_config_t config;
lv_indev_drv_t indev_drv;
lv_indev_data_t indev_data;
@@ -28,7 +28,7 @@ typedef struct _lv_monkey {
#if LV_USE_USER_DATA
void * user_data;
#endif
-} lv_monkey_t;
+};
static const lv_ke... | chore(monkey): fix warning | null | lvgl/lvgl | MIT License | C |
@@ -56,17 +56,21 @@ async def disambiguate(
choices = (f"{index}: {entry}" for index, entry in enumerate(entries, start=1))
def check(message: discord.Message) -> bool:
- return (message.content.isdecimal()
+ return (
+ message.content.isdecimal()
and message.author == ctx.author
- and message.channel == ctx.channel)
+... | chore: Reformat bot/utils/__init__.py | null | python-discord/sir-lancebot | MIT License | Python |
@@ -52,9 +52,7 @@ export class GithubFile {
message
)
this.sha = response.content.sha
- this.cms.alerts.success(
- `Saved Successfully: Changes committed to ${this.cms.api.github.workingRepoFullName}`
- )
+ this.cms.events.dispatch({ type: 'github:commit', response })
return response
} catch (error) {
if (error.status ... | chore(react-tinacms-github): fire event instead of alert on commit success | null | tinacms/tinacms | Apache License 2.0 | TypeScript |
import React from 'react';
-export default ({ prefixCls, cancelText, okText, title, handleCancel, handleOk }) => (
+export default ({ prefixCls, cancelText, okText, title, handleCancel, handleOk, locale }) => (
<div className={`${prefixCls}__header`}>
<div className={`${prefixCls}__cancel`} onClick={handleCancel}>
- {c... | chore: pick modified from master branch | null | zhongantech/zarm | MIT License | TypeScript |
@@ -16,6 +16,7 @@ pub type ProfileIdentifier = EntityIdentifier;
/// Unique [`crate::Profile`] identifier, computed as SHA256 of root public key
impl EntityIdentifier {
+ pub const PREFIX: &'static str = "P";
/// Create a EntityIdentifier from a KeyId
pub fn from_key_id(key_id: KeyId) -> Self {
Self { 0: key_id }
@@ -3... | chore(rust): move profile_identifier prefix to a const | null | ockam-network/ockam | Apache License 2.0 | Rust |
@@ -10,8 +10,8 @@ defmodule Logflare.SqlTest do
for input <- [
"select d[0]",
- "select d[offset(0)]"
- # "select d from `some-table` where d != arr.d[offset(0)]"
+ "select d[offset(0)]",
+ "select d from `some-table` where d != arr.d[offset(0)]"
] do
assert {:ok, _v2} = SqlV2.transform(input, user)
end
| chore: uncomment extra test case | null | logflare/logflare | Apache License 2.0 | Elixir |
@@ -44,7 +44,7 @@ func (inMsg *inboundMessage) Bytes() []byte { return inMsg.bytes }
// BytesSavedCompression returns the number of bytes this message saved due to
// compression. That is, the number of bytes we did not receive over the
-// network due to the message being compressed. Empty slice for messages that were... | chore: inbound / outbound | null | ava-labs/avalanchego | BSD 3-Clause New or Revised License | Go |
@@ -141,8 +141,20 @@ type SCMSource struct {
Password string `json:"password"`
// Token is the credential to access SCM.
Token string `json:"token"`
+ // AuthType is the type of auth way, can be Token or Password
+ AuthType SCMAuthType `json:"authType"`
}
+// SCMAuthType represents the type of SCM auth, support passwor... | chore: add authType field in SCMSource | null | caicloud/cyclone | Apache License 2.0 | Go |
@@ -220,6 +220,40 @@ class RedirectComponentTests: XCTestCase {
waitForExpectations(timeout: 10, handler: nil)
}
+ func testRedirectResult() {
+ // Given
+ let sut = RedirectComponent(apiContext: Dummy.context)
+ let presentationDelegate = PresentationDelegateMock()
+ sut.presentationDelegate = presentationDelegate
+ l... | chore: add test for RedirectComponent.applicationDidOpen | null | adyen/adyen-ios | MIT License | Swift |
@@ -11,6 +11,12 @@ import Foundation
internal final class PaymentMethodListComponentDelegateMock: PaymentMethodListComponentDelegate {
+ var onDidLoad: ((_ paymentMethodListComponent: PaymentMethodListComponent) -> Void)?
+
+ func didLoad(_ paymentMethodListComponent: PaymentMethodListComponent) {
+ onDidLoad?(paymentM... | chore: Update PaymentMethodListComponentDelegateMock | null | adyen/adyen-ios | MIT License | Swift |
# License for the specific language governing permissions and limitations
# under the License.
import dataclasses
-import json
import typing
import daiquiri
@@ -20,6 +19,7 @@ import redis
from mergify_engine import context
from mergify_engine import github_events
+from mergify_engine import json
from mergify_engine imp... | chore: apply json enum encoder and decoder | null | mergifyio/mergify-engine | Apache License 2.0 | Python |
@@ -18,7 +18,7 @@ Picture.disableLazyLoading = isChromatic();
if (isChromatic()) {
// Fix the date to prevent false negatives
- MockDate.set('Sun Jan 10 2021 12:00:00 GMT+0000 (Greenwich Mean Time)');
+ MockDate.set('Fri Oct 22 2021 11:28:15 GMT+0100 (British Summer Time)');
}
mockRESTCalls();
| chore: Move time forwards | null | guardian/dotcom-rendering | Apache License 2.0 | JavaScript |
@@ -80,6 +80,6 @@ func (cfg *Config) initLog() {
func (cfg *Config) watchConfig() {
viper.WatchConfig()
viper.OnConfigChange(func(e fsnotify.Event) {
- // log.Infof("Config file changed: %s", e.Name)
+ log.Infof("Config file changed: %s", e.Name)
})
}
| chore: open watch config log | null | go-eagle/eagle | MIT License | Go |
} && {
# activate the service account using the key
gcloud auth activate-service-account --key-file ~/key.json
-} && {
- # install necessary Google client libraries
- virtualenv -p python3 myenv
- source myenv/bin/activate
- sleep 2
-
- pip install google &&
- pip install google-cloud-retail &&
- pip install google-clo... | chore(samples): remove env setup | null | googlecloudplatform/python-docs-samples | Apache License 2.0 | Shell |
@@ -693,16 +693,6 @@ func (b *cmdPkgBuilder) printPkgDiff(diff pkger.Diff) error {
return b.writeJSON(diff)
}
- green := color.New(color.FgHiGreen, color.Bold).SprintFunc()
-
- boolDiff := func(b bool) string {
- bb := strconv.FormatBool(b)
- if b {
- return green(bb)
- }
- return bb
- }
-
diffPrinterGen := func(title ... | chore(pkger): refactor label mapping diff CLI table output | null | influxdata/influxdb | MIT License | Go |
import { expect, haveResource } from '@aws-cdk/assert';
+import { StringParameter } from '@aws-cdk/aws-ssm';
import { Stack } from '@aws-cdk/core';
import { Test } from 'nodeunit';
import { AmazonLinuxImage, Instance, InstanceClass, InstanceSize, InstanceType, Vpc } from "../lib";
@@ -42,6 +43,63 @@ export = {
SourceDe... | chore(ec2): add missing test to Instance | null | aws/aws-cdk | Apache License 2.0 | TypeScript |
@@ -44,15 +44,7 @@ public class BankTransferStatusPresenter extends BasePaymentPresenter {
vaNumber = transactionResponse.getPermataVANumber();
break;
case PaymentType.ALL_VA:
- String bank = transactionResponse.getAccountNumbers().get(0).getBank();
-
- if (bank.equals(BRI)) {
- vaNumber = transactionResponse.getBriVaN... | chore: move the logic to get Other Va Number to private method; modify the conditional in getBankCode method | null | veritrans/veritrans-android | MIT License | Java |
set -e # exit when error
+yarn
yarn build
(
cd examples/$1
- rm -rf node_modules
yarn
+
+ # copy angular-instantsearch
+ rm -rf ./node_modules/angular-instantsearch
mkdir -p ./node_modules/angular-instantsearch
cp -R ../../dist/* ./node_modules/angular-instantsearch
- ./node_modules/.bin/ng build --prod --base-href "."... | chore(scripts): build examples for angular 6 | null | algolia/angular-instantsearch | MIT License | Shell |
@@ -49,9 +49,12 @@ public class ScriptTaskGraalJsTest extends AbstractScriptTaskTest {
private static final String GRAALJS = "graal.js";
protected ScriptEngineResolver defaultScriptEngineResolver;
+ protected boolean spinEnabled = false;
@Before
public void setup() {
+ spinEnabled = processEngineConfiguration.getEnvScr... | chore(test): adjust script test to consider Spin env script | null | camunda/camunda-bpm-platform | Apache License 2.0 | Java |
@@ -36,8 +36,8 @@ use datafusion::{
error::{DataFusionError as Error, Result},
logical_plan::{self, DFSchemaRef, Expr, LogicalPlan, ToDFSchema, UserDefinedLogicalNode},
physical_plan::{
- common::SizedRecordBatchStream, Distribution, ExecutionPlan, Partitioning,
- SendableRecordBatchStream,
+ common::SizedRecordBatchSt... | chore: Add proper format for SchemaPivotNode | null | influxdata/influxdb_iox | Apache License 2.0 | Rust |
@@ -40,7 +40,7 @@ fi
npx react-native init example
pushd example
npx react-native-windows-init --overwrite
-yarn add github:react-native-community/react-native-device-info
+yarn add github:react-native-device-info/react-native-device-info
# Windows CI requires versions just a bit behind current in order to work #1155
y... | chore(refresh-example): replacing old org | null | react-native-device-info/react-native-device-info | MIT License | Shell |
@@ -33,6 +33,7 @@ def deprecated_func(version, origin, name, tbd):
)
return func(*args, **kwargs)
+ wrapper.__deprecated__ = True
return wrapper
@@ -57,6 +58,7 @@ def deprecated_kwargs_default(version, kwargs_name, kwargs_pos):
)
return func(*args, **kwargs)
+ wrapper.__deprecated__ = True
return wrapper
return depreca... | chore(mge/deprecated): add __deprecated__ attr for condition case | null | megengine/megengine | Apache License 2.0 | Python |
{
public static class ApplicationSettings
{
- public static string version = "0.6.4";
+ public static string version = "0.6.5";
}
public static class Environment
| chore: updated build version to 0.6.5 | null | decentraland/explorer | Apache License 2.0 | C# |
@@ -3,12 +3,7 @@ import classnames from 'classnames'
import overviewWrapperStyles from './overview-wrapper.module.scss'
const OverviewWrapper = ({ children, className = false }) => (
- <div
- className={classnames(
- overviewWrapperStyles.wrapper,
- className && className,
- )}
- >
+ <div className={classnames(overview... | chore(lint): Duplicate operator | null | covid19tracking/website | Apache License 2.0 | JavaScript |
@@ -110,23 +110,27 @@ namespace PlaywrightSharp.Transport
var assembly = typeof(Playwright).Assembly;
string tempDirectory = new FileInfo(assembly.Location).Directory.FullName;
driversPath ??= Path.Combine(tempDirectory, "playwright-sharp-drivers");
+ string platform = "win32_x64";
string driver = "playwright-cli-win32... | chore(connection): unzip drivers in a platform specific directory | null | microsoft/playwright-dotnet | MIT License | C# |
@@ -831,9 +831,7 @@ class CardComponentTests: XCTestCase {
sut.payment = .init(amount: Amount(value: 100, currencyCode: "GBP"), countryCode: "GB")
UIApplication.shared.keyWindow?.rootViewController = sut.viewController
- let expectation = XCTestExpectation(description: "Dummy Expectation")
- DispatchQueue.main.asyncAft... | chore: use wait in test | null | adyen/adyen-ios | MIT License | Swift |
package eu.cloudnetservice.driver.network.rpc.defaults.object;
+import com.github.benmanes.caffeine.cache.Caffeine;
+import com.github.benmanes.caffeine.cache.LoadingCache;
+import com.github.benmanes.caffeine.cache.Scheduler;
import com.google.common.collect.ImmutableMap;
import com.google.common.reflect.TypeToken;
+i... | chore: improve rpc object mapping type caching | null | cloudnetservice/cloudnet-v3 | Apache License 2.0 | Java |
+package au.com.dius.pact.consumer.junit.pactproviderrule
+
+import au.com.dius.pact.consumer.dsl.PactDslRequestWithoutPath
+import au.com.dius.pact.consumer.dsl.PactDslResponse
+import au.com.dius.pact.consumer.dsl.PactDslWithProvider
+import au.com.dius.pact.consumer.junit.DefaultRequestValues
+import au.com.dius.pac... | chore: add Kotlin version of PactProviderWithMultipleFragmentsTest | null | pact-foundation/pact-jvm | Apache License 2.0 | Kotlin |
@@ -30,7 +30,6 @@ const config = {
...defaultTestConfig,
networkConfiguration: {
...defaultTestConfig.networkConfiguration,
- // eslint-disable-next-line no-process-env
rpcEndpoint: process.env.RPC_ENDPOINT,
},
};
| chore: remove unneeded eslint comment | null | statechannels/statechannels | MIT License | TypeScript |
set -euo pipefail
+if [[ "$#" -eq 0 ]]; then
+ echo "./verify-examples.sh requires at least 1 parameter"
+ exit 1
+fi
+
echo "begin to create deployment examples ..."
-if [[ "$1" == "linux" ]]; then
kubectl apply -f deploy/example/storageclass-azurefile-csi.yaml
- kubectl apply -f deploy/example/daemonset.yaml
- kubect... | chore: Wait for examples to complete and return error on failed rollout | null | kubernetes-sigs/azurefile-csi-driver | Apache License 2.0 | Shell |
@@ -26,7 +26,7 @@ if [ "$port" != "" ]; then
fi
init="no"
-read -p "initiate services ('yes' or 'no', default is 'no')? " ok
+read -p "initiate service ('yes' or 'no', default is 'no')? " ok
if [ "$ok" == "yes" ]; then
init="yes"
fi
@@ -68,8 +68,8 @@ fi
echo "--- installing..."
ssh -p $hostSSHPort $loginUser@$host << E... | chore: update deploy.sh | null | esm-dev/esm.sh | MIT License | Shell |
+#!/bin/bash
+
+if [[ -z "${1}" ]]; then
+ echo "Usage: $(basename "$0") <plugin-name>"
+ exit 1
+fi
+
+plugin_name="${1/_/-}"
+plugin_name="${plugin_name#rime-}"
+plugin_dir="plugins/${plugin_name}"
+plugin_module="${plugin_name/-/_}"
+
+echo "plugin_name: rime-${plugin_name}"
+echo "plugin_dir: ${plugin_dir}"
+echo "... | chore(rime-new-plugin.sh): create plugin using template code | null | rime/librime | BSD 3-Clause New or Revised License | Shell |
@@ -9,7 +9,6 @@ use ockam_api::nodes::models::transport::TransportStatus;
use ockam_core::api::Request;
#[derive(Args, Clone, Debug)]
-#[command(arg_required_else_help = true)]
pub struct ListCommand {
#[command(flatten)]
node_opts: NodeOpts,
| chore(rust): attribute `tcp-connection list` no longer required | null | ockam-network/ockam | Apache License 2.0 | Rust |
@@ -17,6 +17,8 @@ use std::thread::sleep;
use std::time::Duration;
use common_base::base::tokio;
+use common_meta_client::to_digit_ver;
+use common_meta_client::MIN_METASRV_SEMVER;
use common_meta_types::protobuf::meta_service_server::MetaService;
use common_meta_types::protobuf::meta_service_server::MetaServiceServer;... | chore(meta/test): fake server responds with a valid protocol version | null | datafuselabs/databend | Apache License 2.0 | Rust |
@@ -627,6 +627,8 @@ public class SearchPortletController {
value.sort(Comparator.comparingInt(tuple -> tuple.first.getRank()));
});
+ logger.debug("Search results for query '{}' are: {}", query, results);
+
model.put("results", results);
model.put("defaultTabKey", this.defaultTabKey);
model.put("tabKeys", this.tabKeys)... | chore: add a helpful log message for debugging search results in SearchPortletController | null | uportal-project/uportal | Apache License 2.0 | Java |
@@ -34,17 +34,6 @@ const neckstimate = (neckCircumference = false, measurement = false, breasts = f
// This is what should happen
let delta = (neckCircumference / data.neckCircumference) * data[measurement] - data[measurement]
- console.log(
- 'neckstimate',
- neckCircumference,
- measurement,
- breasts,
- data[measure... | chore(utils): Removed lingering console.log statement | null | freesewing/freesewing | MIT License | JavaScript |
@@ -1934,54 +1934,20 @@ defmodule Logflare.LqlParserTest do
end
end
- describe "LQL encoding" do
- test "to_datetime_with_range" do
- lv = "2020-01-01T03:14:15Z" |> NaiveDateTime.from_iso8601!()
- rv = "2020-01-01T03:54:15Z" |> NaiveDateTime.from_iso8601!()
-
- assert Lql.Encoder.to_datetime_with_range(lv, rv) == "2020... | chore: refactor Lql.Encoder tests for readability | null | logflare/logflare | Apache License 2.0 | Elixir |
@@ -7,7 +7,6 @@ import States from '~components/pages/data/states'
import { DownloadDataRow } from '~components/pages/state/download-data'
import Summary from '~components/pages/data/summary'
import SummaryCharts from '~components/pages/data/summary-charts'
-import DailyTweet from '~components/pages/data/daily-tweet'
c... | chore: remove daily tweet | null | covid19tracking/website | Apache License 2.0 | JavaScript |
@@ -12,13 +12,17 @@ DIST_FOLDER=release
# destination folder
DEST_FOLDER=release
-# destination branch name
-DEST_BRANCH=upstream
+# destination remote name
+if [[ $TRAVIS == "true" ]]; then
+ DEST_REMOTE=origin
+else
+ DEST_REMOTE=upstream
+fi
# commit message string
COMMIT_MESSAGE="skip:$VERSION-release"
-echo "relea... | chore(deploy): Update deploy shell script | null | naver/billboard.js | MIT License | Shell |
@@ -48,9 +48,6 @@ copyLibrariesForWPE() {
# Expect target directory to be passed in as first argument.
local tmpdir=$1
- # copy runner
- cp -t $tmpdir $SCRIPTS_DIR/pw_run.sh
-
# copy all relevant binaries
cp -t $tmpdir ./WebKitBuild/WPE/Release/bin/MiniBrowser ./WebKitBuild/WPE/Release/bin/WPE*Process
# copy all releva... | chore(devops): do not copy pw_run.sh to subfolders | null | microsoft/playwright | Apache License 2.0 | Shell |
-//! Ipfs path handling following https://github.com/ipfs/go-path/. This rests under ipfs-http for
-//! now until it's ready to be moved to `rust-ipfs`. There is a competing implementation under
-//! `libipld` which might do almost the same things, but with different dependencies. This should
-//! be moving over to `ip... | chore: remove migrated resolving test cases | null | rs-ipfs/rust-ipfs | Apache License 2.0 | Rust |
#!/bin/sh
js1="/testnet/`find static/js/2.*.js`"
js2="/testnet/`find static/js/main.*.js`"
-sed -e "s#/static/js/main.[^\"]*.js#${js2}#g" -e "s#/static/js/2.[^\"]*.js#${js1}#g" -i '' index.html
\ No newline at end of file
+sed -e "s#/static/js/main.[^\"]*.js#${js2}#g" -e "s#/static/js/2.[^\"]*.js#${js1}#g" -i index.htm... | chore: update deploy test shell script | null | nervosnetwork/ckb-explorer-frontend | MIT License | Shell |
@@ -151,9 +151,10 @@ public class AWSGraphQLSubscriptionTaskRunner<R: Decodable>: InternalTaskRunner,
} catch let error as APIError {
fail(error)
} catch {
- // TODO: Verify with the team that terminating a subscription after failing to decode/cast one
+ // Verify with the team that terminating a subscription after fai... | chore: remove todo comments for appsec | null | aws-amplify/amplify-ios | Apache License 2.0 | Swift |
@@ -241,15 +241,7 @@ impl ExecutingGraph {
if state_guard_cache.is_none() {
state_guard_cache = Some(node.state.lock().unwrap());
}
- let event = node.processor.event()?;
- tracing::debug!(
- "node id:{:?}, name:{:?}, event: {:?}",
- node.processor.id(),
- node.processor.name(),
- event
- );
-
- let processor_state = m... | chore(pipeline): rm log for processor event | null | datafuselabs/databend | Apache License 2.0 | Rust |
@@ -89,6 +89,16 @@ public final class AWSPredictionsIdentifyEntitiesTest {
FeatureAssert.assertMatches(GenderBinaryType.MALE, entity.getGender());
FeatureAssert.assertMatches(EmotionType.HAPPY, Collections.max(entity.getEmotions()));
assertNotNull(entity.getAgeRange());
- assertTrue(entity.getAgeRange().contains(56));
... | chore(predictions): Fix testIdentifyEntities by adding a buffer to the ageRange check | null | aws-amplify/amplify-android | Apache License 2.0 | Java |
@@ -9,7 +9,7 @@ class ElasticSearch
const NUMBER_OF_SHARDS = 1;
const NUMBER_OF_REPLICAS = 0;
const MAX_RESULT_WINDOW = 150000;
- const MAX_BULK_DOCUMENTS = 200;
+ const MAX_BULK_DOCUMENTS = 100;
const MAX_FIELDS = 100000;
/** @var \Elasticsearch\Client */
@@ -69,9 +69,15 @@ class ElasticSearch
'dynamic' => true,
'dyna... | chore: data ingestion optimizations | null | xivapi/xivapi.com | MIT License | PHP |
@@ -949,32 +949,9 @@ func (t *TBtree) Sync() error {
}
_, _, err := t.flushTree(0, true)
- if err != nil {
- return err
- }
-
- return t.ensureSync()
-}
-
-func (t *TBtree) ensureSync() error {
- err := t.nLog.Sync()
- if err != nil {
- return err
- }
-
- err = t.hLog.Sync()
- if err != nil {
return err
}
- err = t.cLo... | chore(embedded/tbtree): data discarding with opened and older snapshots | null | codenotary/immudb | Apache License 2.0 | Go |
@@ -4,8 +4,10 @@ use std::{fs::read_to_string, path::PathBuf};
/// Get the path of the home directory of this repository
pub fn home() -> PathBuf {
PathBuf::from(env!("CARGO_MANIFEST_DIR")) // the crate
- .parent().expect("Should have parent") // the `rust` dir
- .parent().expect("Should have parent") // the `stencila`... | chore(Tests): Formatting | null | stencila/stencila | Apache License 2.0 | Rust |
@@ -252,6 +252,12 @@ async fn run_node(node_config: Arc<GlobalConfig>, bootstrap: ConfigBootstrap) ->
task::spawn(cli_loop(parser, shutdown));
}
+ if !node_config.force_sync_peers.is_empty() {
+ warn!(
+ target: LOG_TARGET,
+ "Force Sync Peers have been set! This node will only sync to the nodes in this set"
+ );
+ }
c... | chore: add warning when force sync is enabled | null | tari-project/tari | BSD 3-Clause New or Revised License | Rust |
@@ -9,14 +9,14 @@ interface BugsnagPluginExpressResult {
requestHandler: express.RequestHandler
}
-// add a new call signature for the getPlugin() method that types the react plugin result
+// add a new call signature for the getPlugin() method that types the plugin result
declare module '@bugsnag/core' {
interface Cli... | chore: Copy pasta / typo | null | bugsnag/bugsnag-js | MIT License | TypeScript |
@@ -76,7 +76,7 @@ function build_shared_framework(){
return;
}
-build_libs $(uname) $((uname -m))
+build_libs $(uname) x86_64 #$((uname -m)) Travis use uname -m get a 0...
if [[ "$(uname)" == "Darwin" && "${BUILD_SHARED_LIB}" != "FALSE" ]];then
build_shared_framework
| chore(build_tools): fix travis build | null | alibaba/cicadaplayer | MIT License | Shell |
@@ -2,6 +2,7 @@ package com.netflix.spinnaker.config
import com.fasterxml.jackson.databind.ObjectMapper
import com.fasterxml.jackson.dataformat.yaml.YAMLMapper
+import com.netflix.spectator.api.Registry
import com.netflix.spinnaker.fiat.shared.EnableFiatAutoConfig
import com.netflix.spinnaker.filters.AuthenticatedReque... | chore(web): add controller invocation metrics | null | spinnaker/keel | Apache License 2.0 | Kotlin |
@@ -327,6 +327,115 @@ class SessionTests: XCTestCase {
XCTAssertEqual(sut.sessionContext.data, "session_data_xxx")
}
+ func testDidSubmitFailure() throws {
+ let expectedPaymentMethods = try Coder.decode(paymentMethodsDictionary) as PaymentMethods
+ let sut = try initializeSession(expectedPaymentMethods: expectedPaymen... | chore: adding more tests to session flow | null | adyen/adyen-ios | MIT License | Swift |
@@ -126,7 +126,15 @@ exports.config = {
'./test/journeys/specs/oneOnOne/global/meet.js',
'./test/journeys/specs/oneOnOne/global/messaging.js',
'./test/journeys/specs/recents/dataApi/basic.js',
- './test/journeys/specs/recents/global/basic.js'
+ './test/journeys/specs/recents/global/basic.js',
+ './test/journeys/specs/s... | chore(tooling): add space spec files to integration suite | null | webex/react-widgets | MIT License | JavaScript |
@@ -578,6 +578,7 @@ public class RuntimeServiceTest {
}
@Test
+ @RequiredHistoryLevel(ProcessEngineConfigurationImpl.HISTORY_AUDIT)
public void testDeleteCalledSubprocess() {
// given
@@ -605,7 +606,6 @@ public class RuntimeServiceTest {
assertEquals(TESTING_INSTANCE_DELETION, historyService.createHistoricProcessInstan... | chore(engine): add history level annotation for delete subprocess test | null | camunda/camunda-bpm-platform | Apache License 2.0 | Java |
@@ -45,9 +45,9 @@ type Parser struct {
// Required for backward compatibility
ConfigsXML []xpath.Config `toml:"xml" deprecated:"1.23.1;use 'xpath' instead"`
- ConfigsJSON []xpath.Config `toml:"xpath_json"`
- ConfigsMsgPack []xpath.Config `toml:"xpath_msgpack"`
- ConfigsProto []xpath.Config `toml:"xpath_protobuf"`
+ Con... | chore(parsers.xpath): Add correct deprecation tags | null | influxdata/telegraf | MIT License | Go |
@@ -564,7 +564,7 @@ root: %x at index: %d
Args: cobra.MinimumNArgs(1),
},
&cobra.Command{
- Use: "consistency index hash",
+ Use: "verify index hash",
Short: "Check consistency for the specified index and hash",
Aliases: []string{"c"},
RunE: func(cmd *cobra.Command, args []string) error {
| chore: rename command "consistency" to "verify" | null | codenotary/immudb | Apache License 2.0 | Go |
@@ -210,7 +210,7 @@ def check_permission_and_not_submitted(doc):
# check if submitted
if doc.docstatus == 1:
- frappe.msgprint(_("{0} {1}: Submitted Record cannot be deleted.").format(_(doc.doctype), doc.name),
+ frappe.msgprint(_("{0} {1}: Submitted Record cannot be deleted. You must <a href='https://docs.erpnext.com/... | chore: improve error message on delete | null | frappe/frappe | MIT License | Python |
@@ -50,19 +50,6 @@ pub mod pallet {
#[pallet::generate_store(pub(super) trait Store)]
pub struct Pallet<T>(_);
- // #[pallet::storage]
- // #[pallet::getter(fn validators)]
- // pub type Validators<T> = StorageValue<_, ValidatorSet>;
- //
- // #[pallet::storage]
- // #[pallet::getter(fn headers)]
- // pub type Headers<... | chore: refactored gateway_vendor lookup | null | t3rn/t3rn | Apache License 2.0 | Rust |
@@ -373,7 +373,7 @@ public class JCloudsAppStorageService
zip.stream().forEach( (Consumer<ZipEntry>) zipEntry -> {
- log.info( "Uploading zipEntry: " + zipEntry );
+ log.debug( "Uploading zipEntry: " + zipEntry );
try
{
@@ -435,7 +435,7 @@ public class JCloudsAppStorageService
// Delete all files related to app
for ( S... | chore: file logging on debug level (not info) | null | dhis2/dhis2-core | BSD 3-Clause New or Revised License | Java |
@@ -383,7 +383,6 @@ export class Subscriber extends ISubscriber {
await this.onConnect();
});
this.relayer.on(RELAYER_EVENTS.disconnect, () => {
- console.log("disconnect", this.relayer.core.name, this.relayer.connected);
this.onDisconnect();
});
this.events.on(SUBSCRIBER_EVENTS.created, async (createdEvent: Subscriber... | chore: rm console | null | walletconnect/walletconnect-monorepo | Apache License 2.0 | TypeScript |
@@ -91,7 +91,18 @@ if (mode === 'service') {
use: {
browserName: 'chromium',
mode
- }
+ },
+ metadata: {
+ platform: process.platform,
+ docker: !!process.env.INSIDE_DOCKER,
+ dockerIntegration: !!process.env.PLAYWRIGHT_DOCKER,
+ headful: !!headed,
+ browserName: 'chromium',
+ channel,
+ mode,
+ video: !!video,
+ trace... | chore: add metadata for 'chromium page tests' project | null | microsoft/playwright | Apache License 2.0 | TypeScript |
@@ -34,7 +34,7 @@ open class MediaControl: UICorePlugin, UIGestureRecognizerDelegate {
}
public var plugins: [MediaControlPlugin] = []
- var defaultPlugins: [MediaControlPlugin.Type] = [FullscreenButton.self, TimeIndicator.self, PlayButton.self]
+ var defaultPlugins: [MediaControlPlugin.Type] = [PlayButton.self, TimeIn... | chore: adjusting default plugins sequence | null | clappr/clappr-ios | BSD 3-Clause New or Revised License | Swift |
@@ -56,21 +56,7 @@ extension ApplePayComponent: PKPaymentAuthorizationViewControllerDelegate {
let applePayPayment = applePayPayment
applePayDelegate.didUpdate(contact: contact,
for: applePayPayment,
- completion: { [weak self] result in
- guard let self = self else {
- return completion(.init(paymentSummaryItems: appl... | chore: refactor simmilar PaymentUpdateHandler(s) | null | adyen/adyen-ios | MIT License | Swift |
@@ -8,6 +8,7 @@ import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
+import org.apache.commons.lang3.exception.ExceptionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springfra... | chore: Add logs from segment error retry handler | null | appsmithorg/appsmith | Apache License 2.0 | Java |
@@ -12,6 +12,9 @@ namespace Models
[OperationContract]
ComplexModelResponse PingComplexModel(ComplexModelInput inputModel);
+ [OperationContract]
+ int[] IntArray();
+
[OperationContract]
void VoidMethod(out string s);
| chore: Added service method that returns an int array | null | digdes/soapcore | MIT License | C# |
@@ -5,13 +5,19 @@ set -xEeo pipefail
build_docker_images() {
# NOTE: docker tags should stay in sync with those in docker-compose.yml
if ! docker inspect polkadot:release-v0.9.17 > /dev/null; then
- docker build -t polkadot:release-v0.9.17 -f polkadot.Dockerfile .
+ DOCKER_BUILDKIT=1 docker build \
+ -t polkadot:releas... | chore: use docker build kit | null | t3rn/t3rn | Apache License 2.0 | Shell |
SCALA_SCALA_LIBRARY_EXPECTED=95
SCALA_SCALA_COMPILER_EXPECTED=66
-DOTTY_COMPILER_EXPECTED=59
+DOTTY_COMPILER_EXPECTED=60
if [ ! -d "$SCALA_SCALA_DIR" ]; then
echo "\$SCALA_SCALA_DIR must be set"
| chore: bump dotty coverage to 60 | null | wilfred/difftastic | MIT License | Shell |
@@ -91,9 +91,8 @@ export default class OverlayTrigger extends React.Component<OverlayTriggerProps>
};
}
componentDidUpdate(prevProps: OverlayTriggerProps) {
- if (prevProps.isOpen !== this.props.isOpen) {
- const isOpen = !!this.props.isOpen;
- isOpen ? this.show() : this.hide();
+ if (this.props.isOpen !== this.state.... | chore(OverlayTrigger): Optimize isOpen props | null | uiwjs/uiw | MIT License | TypeScript |
@@ -58,8 +58,9 @@ public @interface NpmPackage {
* 'd.d.d-suffix' pattern.
* <p>
* Troubleshooting: when two or more annotations with the same package value
- * are found in the class-path, and their versions do not match the build
- * process will fail.
+ * are found in the class-path, and their versions do not match,... | chore: update NpmPackage.version javadocs | null | vaadin/flow | Apache License 2.0 | Java |
@@ -68,7 +68,7 @@ impl DbSetup for NoData {
.id(),
0
);
- assert_eq!(count_mutable_buffer_chunks(&db), 2); // 2 chunks open and closed
+ assert_eq!(count_mutable_buffer_chunks(&db), 1); //
assert_eq!(count_read_buffer_chunks(&db), 0); // nothing yet
assert_eq!(count_object_store_chunks(&db), 0); // nothing yet
@@ -76,1... | chore: fix merge that causes test failures | null | influxdata/influxdb_iox | Apache License 2.0 | Rust |
@@ -24,7 +24,7 @@ class AuditingTest extends AuditingTestCase
/**
* @test
*/
- public function it_will_ignore_audit_events_when_running_from_the_console()
+ public function it_will_not_audit_models_when_running_from_the_console()
{
$this->app['config']->set('audit.console', false);
@@ -37,7 +37,7 @@ class AuditingTest ... | chore(AuditingTest): update method names | null | owen-it/laravel-auditing | MIT License | PHP |
@@ -26,6 +26,7 @@ import com.google.api.gax.retrying.TimedAttemptSettings;
import com.google.api.gax.retrying.TimedRetryAlgorithm;
import com.google.api.gax.retrying.TimedRetryAlgorithmWithContext;
import java.util.Iterator;
+import java.util.UUID;
import java.util.concurrent.CancellationException;
import java.util.log... | chore: add UUID to retry logging | null | googleapis/java-bigquery | Apache License 2.0 | Java |
@@ -87,7 +87,7 @@ namespace Cicada {
int64_t ret = stat(filePath, &fileStat);
if (ret == 0) {
-#ifdef _WIN32
+#if defined _WIN32 || defined __ANDROID__
mtimeSec = fileStat.st_mtime;
atimeSec = fileStat.st_atime;
#else
| chore(android): fix android build error | null | alibaba/cicadaplayer | MIT License | C++ |
@@ -4077,16 +4077,6 @@ void SuperMediaPlayer::ProcessSeekToMsg(int64_t seekPos, bool bAccurate)
mSubPlayer->seek(seekPos);
}
- if ((seekPos / 1000 >= mDuration / 1000) && mDuration > 0) {
- //if eof notifySeekEndMsg
- ResetSeekStatus();
- notifySeekEndCallback();
- mSeekInCache = false;
- mEof = true;
- mSeekFlag = fal... | chore(superMediaPlayer): do not reset seek status when seek to end | null | alibaba/cicadaplayer | MIT License | C++ |
@@ -40,16 +40,15 @@ export function InlineWysiwyg({
const imageProps: ImageProps = React.useMemo(() => {
return {
- upload: async (files: File[]) => {
- // TODO: ensure `directory` ends in `/`
- const response = await cms.media.store.persist(
+ async upload(files: File[]) {
+ const allMedia = await cms.media.store.pers... | chore: simplify upload signature | null | tinacms/tinacms | Apache License 2.0 | TypeScript |
@@ -210,7 +210,7 @@ class Parsedown extends \ParsedownToC
if ($this->builder->getConfig()->get('body.images.webp.enabled') ?? false && !Image::isAnimatedGif($InlineImage['element']['attributes']['src'])) {
try {
if (is_string($InlineImage['element']['attributes']['src'])) {
- throw new RuntimeException(\sprintf('Can\'t... | chore: update exception message | null | cecilapp/cecil | MIT License | PHP |
@@ -2,7 +2,7 @@ use chrono::{DateTime, Utc};
use criterion::{criterion_group, criterion_main, Criterion};
use data_types::database_rules::{Error as DataError, Partitioner, Sharder};
use influxdb_line_protocol::ParsedLine;
-use internal_types::entry::{lines_to_sharded_entries, SequencedEntry};
+use internal_types::entry... | chore: add benchmark for SequencedEntryRaw::new_from_entry_bytes | null | influxdata/influxdb_iox | Apache License 2.0 | Rust |
@@ -115,7 +115,7 @@ describe("uniform axes", () => {
)
})
- it("x axis is shared by default", () => {
+ it("x axis domains are identical", () => {
expect(xAxisConfigs[0]?.min).toBeDefined()
expect(xAxisConfigs[0]?.max).toBeDefined()
expect(
@@ -126,15 +126,19 @@ describe("uniform axes", () => {
).toBeTruthy()
})
- it("... | chore(facets): never share X axes across facets | null | owid/owid-grapher | MIT License | TypeScript |
*/
package org.camunda.bpm.engine.test.bpmn.tasklistener;
+import org.camunda.bpm.engine.delegate.DelegateTask;
+import org.camunda.bpm.engine.delegate.TaskListener;
import org.camunda.bpm.engine.history.HistoricVariableInstance;
import org.camunda.bpm.engine.impl.test.PluggableProcessEngineTestCase;
import org.camunda... | chore(test): add failing test case | null | camunda/camunda-bpm-platform | Apache License 2.0 | Java |
*/
// Note: To ensure CDKv2 compatibility, keep the import statement for Construct separate
-import {
- Construct
-} from '@aws-cdk/core';
+import { Construct } from '@aws-cdk/core';
import * as events from '@aws-cdk/aws-events';
export interface BuildEventBusProps {
| chore(cdk-v2-import-fix): Fix the import statement for cdk v2 rewrite import utility to work | null | awslabs/aws-solutions-constructs | Apache License 2.0 | TypeScript |
@@ -3,6 +3,7 @@ using System.ComponentModel.DataAnnotations;
using System.Data.Common;
using System.Data.Entity;
using System.Linq;
+using System.Threading.Tasks;
using NUnit.Framework;
using PeanutButter.RandomGenerators;
using PeanutButter.TestUtils.Entity;
@@ -68,6 +69,38 @@ namespace PeanutButter.Utils.Entity.Tests... | chore: add test coverage for async variant of | null | fluffynuts/peanutbutter | BSD 3-Clause New or Revised License | C# |
-import React, { useState } from 'react'
+import React, { useState, useEffect } from 'react'
import styled from 'styled-components'
import { Link } from 'react-router-dom'
import Search from '../Search'
@@ -192,8 +192,15 @@ const menus = [
},
]
+const NORMAL_HEIGHT = 42
+const SEARCH_HEIGHT = 87
+
export default ({ sea... | chore(ui): update header search effect | null | nervosnetwork/ckb-explorer-frontend | MIT License | TypeScript |
@@ -6,6 +6,8 @@ ln -f README.md packages/electron-builder/README.md
npm publish packages/electron-builder-http || true
npm publish packages/electron-builder-core || true
npm publish packages/electron-builder-util || true
+npm publish packages/electron-builder-publisher || true
+npm publish packages/electron-publisher-s... | chore: add new packages to npm-publish.sh | null | electron-userland/electron-builder | MIT License | Shell |
@@ -38,6 +38,11 @@ func TestAWS_Metadata_Flags(t *testing.T) {
AwsApiGatewayV2AuthorizerResourceType: {},
AwsApiGatewayV2RouteResponseResourceType: {},
AwsApiGatewayV2DomainNameResourceType: {},
+ AwsApiGatewayV2ModelResourceType: {},
+ AwsApiGatewayV2StageResourceType: {},
+ AwsApiGatewayV2MappingResourceType: {},
+ A... | chore: added a missing test and ordered resources | null | cloudskiff/driftctl | Apache License 2.0 | Go |
@@ -91,7 +91,7 @@ export default ({ data }) => (
<Container centered>
<LongContent>
<ContentfulContent
- id={data.content2.contentful_id}
+ id={data.timechartNotes.contentful_id}
content={
data.timechartNotes.childContentfulSnippetContentTextNode
.childMarkdownRemark.html
@@ -106,6 +106,17 @@ export default ({ data }) ... | chore: Move definitions below chart | null | covid19tracking/website | Apache License 2.0 | JavaScript |
@@ -42,8 +42,8 @@ publishToNext() {
}
syncTaobao() {
- (cd ${ROOT}/@delon; for p in `ls .`; do curl -X PUT https://npm.taobao.org/sync/@delon/$p?sync_upstream=true; done)
- curl -X PUT https://npm.taobao.org/sync/ng-alain?sync_upstream=true
+ (cd ${ROOT}/@delon; for p in `ls .`; do curl -X PUT https://npmmirror.com/syn... | chore: fix syncTaobao | null | ng-alain/delon | MIT License | Shell |
@@ -14,21 +14,28 @@ yarn test
--conventional-commits \
--exact \
--github-release \
+ --no-push \
--yes
+# get the new version number
+RELEASE_VERSION=$(node -p "require('./lerna.json').version")
+# get the new version number
+git checkout -b releases/${RELEASE_VERSION}
+git push --set-upstream origin releases/${RELEAS... | chore: Create a branch for each release | null | sap/ui5-webcomponents-react | Apache License 2.0 | Shell |
@@ -153,15 +153,14 @@ export function isMutable(value: any) {
* @hidden
*/
export function isPrimitive(value: any, includeDate = true): value is Primitives {
- if (value === null || value === undefined) return true
- if (
+ return (
+ value === null ||
+ value === undefined ||
typeof value === "string" ||
typeof value ... | chore(mobx-state-tree): Refactor isPrimitive fn by | null | mobxjs/mobx-state-tree | MIT License | TypeScript |
@@ -31,9 +31,14 @@ export default {
generate: {
async routes () {
const { $content } = require('@nuxtjs/content')
- const files = await $content().only(['path']).fetch()
- return files.map(file => file.path === '/index' ? '/' : file.path)
+ const promises = ['en', 'fr'].map(async (locale) => {
+ const files = await $co... | chore(starters): fix generate routes with i18n | null | nuxt/content | MIT License | JavaScript |
/* eslint no-console: "off" */
const exec = require('exec-sh');
const fs = require('fs');
-const { rollup } = require('rollup');
-const { default: babel } = require('@rollup/plugin-babel');
-const replace = require('@rollup/plugin-replace');
-const { default: resolve } = require('@rollup/plugin-node-resolve');
const co... | chore: simplify core build for better treeshaking | null | nolimits4web/swiper | MIT License | JavaScript |
@@ -49,7 +49,7 @@ use LogicException;
*/
class Client
{
- const LIBVER = "2.8.3";
+ const LIBVER = "2.9.0";
const USER_AGENT_SUFFIX = "google-api-php-client/";
const OAUTH2_REVOKE_URI = 'https://oauth2.googleapis.com/revoke';
const OAUTH2_TOKEN_URI = 'https://oauth2.googleapis.com/token';
| chore: prepare v2.9.0 | null | googleapis/google-api-php-client | Apache License 2.0 | PHP |
@@ -40,7 +40,7 @@ public final class DropInComponent: NSObject, PresentableComponent {
public let title: String
/// :nodoc:
- public let apiContext: APIContext
+ public var apiContext: APIContext { configuration.apiContext }
/// Initializes the drop in component.
///
@@ -58,7 +58,6 @@ public final class DropInComponent... | chore: Use apiContext from configuration in DropInComponent | null | adyen/adyen-ios | MIT License | Swift |
@@ -60,6 +60,8 @@ public class DatabaseFlushTest extends ConcurrencyTestCase {
* incomplete runtime flush and the database got into an inconsistent
* state.
*/
+ // note: This test is also excluded via pom.xml on MariaDB Galera cluster
+ // due to instability; see CAM-10576
@RequiredDatabase(excludes = DbSqlSessionFact... | chore(test): add comment on galera exclusion | null | camunda/camunda-bpm-platform | Apache License 2.0 | Java |
@@ -9,7 +9,7 @@ use serde::{
use std::ops::{Range, RangeFrom, RangeTo};
/// A log produced by a transaction.
-#[derive(Debug, Clone, PartialEq, Serialize, Deserialize)]
+#[derive(Debug, Clone, Default, PartialEq, Serialize, Deserialize)]
pub struct Log {
/// H160. the contract that emitted the log
pub address: Address,... | chore(core): derive default for log | null | gakonst/ethers-rs | Apache License 2.0 | Rust |
@@ -24,7 +24,7 @@ parent = 'projects/' + os.environ['GOOGLE_CLOUD_PROJECT']
# [END instantiate]
-# [START batch_job_create]
+# [START job_discovery_batch_job_create]
def batch_job_create(client_service, company_name):
import base_job_sample
created_jobs = []
@@ -55,10 +55,10 @@ def batch_job_create(client_service, comp... | chore(refactor): Changing name of sample region for Job product | null | googlecloudplatform/python-docs-samples | Apache License 2.0 | Python |
@@ -97,7 +97,7 @@ class DefaultAccountAdapter(object):
"""
return settings.DEFAULT_FROM_EMAIL
- def render_mail(self, template_prefix, email, context):
+ def render_mail(self, template_prefix, email, context, headers=None):
"""
Renders an e-mail to `email`. `template_prefix` identifies the
e-mail that is to be sent, e.... | chore(account/adapter): add headers param to render_mail() | null | pennersr/django-allauth | MIT License | Python |
import 'dart:io';
import 'dart:convert';
import 'dart:typed_data';
-//import 'dart:ffi';
import 'dart:async';
-//import 'package:ffi/ffi.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/rendering.dart';
| chore: delete unused dependency | null | openkraken/kraken | Apache License 2.0 | Dart |
+//
+// Copyright Amazon.com Inc. or its affiliates.
+// All Rights Reserved.
+//
+// SPDX-License-Identifier: Apache-2.0
+//
+
+import AmplifyAsyncTesting
+import XCTest
+
+extension XCTestCase {
+
+ /// Waits for the execution of a given async code, using a given async expectation,
+ /// and returns its result or `ni... | chore(AsyncTesting): Adding helper methods to facilitate waiting for async code | null | aws-amplify/amplify-ios | Apache License 2.0 | Swift |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.